import { Database, RunResult } from 'better-sqlite3';
import { Logger, MigrationConfig } from 'drizzle-orm';
import { BaseSQLiteDatabase } from '../db';
import { SQLiteDialect, SQLiteSyncDialect } from '../dialect';
import { SQLiteDriver } from './driver';
export interface SQLiteConnectorOptions {
    logger?: Logger;
    dialect?: SQLiteDialect;
    driver?: SQLiteDriver;
}
export declare type SQLiteDatabase = BaseSQLiteDatabase<'sync', RunResult>;
export declare class SQLiteConnector {
    dialect: SQLiteSyncDialect;
    driver: SQLiteDriver;
    private session;
    constructor(client: Database, options?: SQLiteConnectorOptions);
    private getSession;
    connect(): SQLiteDatabase;
    migrate(config: string | MigrationConfig): void;
}
