/// <reference types="bun-types" />
import { Database } from 'bun:sqlite';
import { Logger, MigrationConfig } from 'drizzle-orm';
import { BaseSQLiteDatabase } from '../db';
import { SQLiteSyncDialect } from '../dialect';
import { SQLiteBunDriver } from './driver';
export interface SQLiteBunConnectorOptions {
    logger?: Logger;
    dialect?: SQLiteSyncDialect;
    driver?: SQLiteBunDriver;
}
export declare type SQLiteBunDatabase = BaseSQLiteDatabase<'sync', void>;
export declare class SQLiteBunConnector {
    dialect: SQLiteSyncDialect;
    driver: SQLiteBunDriver;
    private session;
    constructor(client: Database, options?: SQLiteBunConnectorOptions);
    private getSession;
    connect(): SQLiteBunDatabase;
    migrate(config: string | MigrationConfig): void;
}
