/// <reference types="@cloudflare/workers-types" />
import { Logger, MigrationConfig } from 'drizzle-orm';
import { BaseSQLiteDatabase } from '../db';
import { SQLiteAsyncDialect, SQLiteDialect } from '../dialect';
import { SQLiteD1Driver } from './driver';
export interface SQLiteConnectorOptions {
    logger?: Logger;
    dialect?: SQLiteDialect;
    driver?: SQLiteD1Driver;
}
export declare type DrizzleD1Database = BaseSQLiteDatabase<'async', D1Result>;
export declare class D1Connector {
    dialect: SQLiteAsyncDialect;
    driver: SQLiteD1Driver;
    private session;
    constructor(client: D1Database, options?: SQLiteConnectorOptions);
    private getSession;
    connect(): DrizzleD1Database;
    migrate(config: string | MigrationConfig): void;
}
