"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.D1Connector = void 0;
const drizzle_orm_1 = require("drizzle-orm");
const db_1 = require("../db");
const dialect_1 = require("../dialect");
const driver_1 = require("./driver");
class D1Connector {
    constructor(client, options = {}) {
        this.dialect = new dialect_1.SQLiteAsyncDialect();
        this.driver = new driver_1.SQLiteD1Driver(client, this.dialect, { logger: options.logger });
    }
    getSession() {
        var _a;
        return (_a = this.session) !== null && _a !== void 0 ? _a : (this.session = this.driver.connect());
    }
    connect() {
        const session = this.getSession();
        return new db_1.BaseSQLiteDatabase(this.dialect, session);
    }
    migrate(config) {
        const migrations = (0, drizzle_orm_1.readMigrationFiles)(config);
        const session = this.getSession();
        this.dialect.migrate(migrations, session);
    }
}
exports.D1Connector = D1Connector;
//# sourceMappingURL=connector.js.map